import { FindCapacity } from "./util"

export function Harvest(creep: Creep) {
    if (creep.store.getFreeCapacity() > 0) {
        let sources: Source[] = creep.room.find(FIND_SOURCES);
        if (creep.harvest(sources[0]) == ERR_NOT_IN_RANGE) {
            creep.moveTo(sources[0], { visualizePathStyle: { stroke: "#ffaa00" } });
        }
    } else {
        let targets = FindCapacity(creep);
        if (targets.length > 0) {
            if(creep.transfer(targets[0], RESOURCE_ENERGY) == ERR_NOT_IN_RANGE){
                creep.moveTo(targets[0], { visualizePathStyle: { stroke: "#ffffff" } });
            }
        }
    }
}